For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
DocsReferenceChangelog
DocsReferenceChangelog
  • Introduction
    • Overview
    • Errors
  • SDK
    • Overview
    • Decorators
    • Run Evaluation
  • API
      • GETList
      • POSTCreate
      • GETGet
      • DELDelete
      • PATCHUpdate
LogoLogo
Sign inBook a demo
APIDirectories

Get

GET
https://api.humanloop.com/v5/directories/:id
GET
/v5/directories/:id
$curl https://api.humanloop.com/v5/directories/id \
> -H "X-API-KEY: <apiKey>"
1{
2 "id": "id",
3 "name": "name",
4 "path": "path",
5 "tags": [
6 "tags"
7 ],
8 "created_at": "2024-01-15T09:30:00Z",
9 "updated_at": "2024-01-15T09:30:00Z",
10 "subdirectories": [
11 {
12 "id": "id",
13 "name": "name",
14 "path": "path",
15 "tags": [
16 "tags"
17 ],
18 "created_at": "2024-01-15T09:30:00Z",
19 "updated_at": "2024-01-15T09:30:00Z",
20 "parent_id": "parent_id",
21 "description": "description",
22 "readme": "readme"
23 }
24 ],
25 "files": [
26 {
27 "path": "path",
28 "id": "id",
29 "directory_id": "directory_id",
30 "model": "model",
31 "endpoint": "complete",
32 "template": "template",
33 "template_language": "default",
34 "provider": "anthropic",
35 "max_tokens": 1,
36 "temperature": 1.1,
37 "top_p": 1.1,
38 "stop": "stop",
39 "presence_penalty": 1.1,
40 "frequency_penalty": 1.1,
41 "other": {
42 "key": "value"
43 },
44 "seed": 1,
45 "response_format": {
46 "type": "json_object"
47 },
48 "reasoning_effort": "high",
49 "tools": [
50 {
51 "name": "name",
52 "description": "description"
53 }
54 ],
55 "linked_tools": [
56 {
57 "name": "name",
58 "description": "description",
59 "id": "id",
60 "version_id": "version_id"
61 }
62 ],
63 "attributes": {
64 "key": "value"
65 },
66 "version_name": "version_name",
67 "version_description": "version_description",
68 "description": "description",
69 "tags": [
70 "tags"
71 ],
72 "readme": "readme",
73 "name": "name",
74 "schema": {
75 "key": "value"
76 },
77 "version_id": "version_id",
78 "type": "prompt",
79 "environments": [
80 {
81 "id": "id",
82 "created_at": "2024-01-15T09:30:00Z",
83 "name": "name",
84 "tag": "default"
85 }
86 ],
87 "created_at": "2024-01-15T09:30:00Z",
88 "updated_at": "2024-01-15T09:30:00Z",
89 "created_by": {
90 "id": "id",
91 "email_address": "email_address"
92 },
93 "last_used_at": "2024-01-15T09:30:00Z",
94 "version_logs_count": 1,
95 "total_logs_count": 1,
96 "inputs": [
97 {
98 "name": "name"
99 }
100 ],
101 "evaluator_aggregates": [
102 {
103 "value": 1.1,
104 "evaluator_id": "evaluator_id",
105 "evaluator_version_id": "evaluator_version_id",
106 "created_at": "2024-01-15T09:30:00Z",
107 "updated_at": "2024-01-15T09:30:00Z"
108 }
109 ],
110 "raw_file_content": "raw_file_content"
111 }
112 ],
113 "parents": [
114 {
115 "id": "id",
116 "name": "name",
117 "path": "path",
118 "tags": [
119 "tags"
120 ],
121 "created_at": "2024-01-15T09:30:00Z",
122 "updated_at": "2024-01-15T09:30:00Z",
123 "parent_id": "parent_id",
124 "description": "description",
125 "readme": "readme"
126 }
127 ],
128 "parent_id": "parent_id",
129 "description": "description",
130 "readme": "readme"
131}
Fetches a directory by ID.
Was this page helpful?
Previous

Delete

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

idstringRequired

String ID of directory. Starts with dir_.

Response

Successful Response
idstring

String ID of directory. Starts with dir_.

namestring
Name of the directory.
pathstring

Path to the directory, relative to the root directory. Includes name, e.g. path/to/directory.

tagslist of strings
List of tags associated with the directory.
created_atdatetime
updated_atdatetime
subdirectorieslist of objects
List of subdirectories in the directory.
fileslist of objects
List of files in the directory.
parentslist of objects
List of parent directories of the directory.
parent_idstring

ID of the parent directory. Will be None if the directory is the root directory. Starts with dir_.

descriptionstring
Description of the directory.
readmestring
Long description of the directory.

Errors

422
Get Directories ID Get Request Unprocessable Entity Error